All Data Structures Namespaces Files Functions Variables Pages
admin.php File Reference

Go to the source code of this file.

## Functions

| adminlog ($op, $an1='', $an2='', $an3='')
| getstart ($start=0, $mode= '')
| setconfig ($string)
| astrfilter ($str)

## Variables

const | CURSCRIPT 'admin'
const | IN_ADMIN TRUE
| $admin_cmd_list
if(!$cuser||!$cpass) | $result = $db->query("SELECT * FROM {$tablepre}users WHERE username='$cuser'")
if(!$db->num_rows($result)) | $udata = $db->fetch_array($result)
if($udata['password']!=$cpass) elseif(($udata['groupid'] <=1)&&($cuser!==$gamefounder)) if($cuser===$gamefounder) | else {$mygroup = $udata['groupid']
| $showdata = $cmd_info = false

## Function Documentation

adminlog | ( |  | $op,
|  |  | $an1 = `''`,
|  |  | $an2 = `''`,
|  |  | $an3 = `''`
| ) |  |

Definition at line 58 of file admin.php.

astrfilter | ( |  | $str | ) |

Definition at line 91 of file admin.php.

getstart | ( |  | $start = `0`,
|  |  | $mode = `''`
| ) |  |

Definition at line 67 of file admin.php.

setconfig | ( |  | $string | ) |

Definition at line 82 of file admin.php.

## Variable Documentation

$admin_cmd_list

Initial value:
= Array(
'configmng' => 9,
'systemmng' => 7,
'gamecfgmng' => 7,
'gmlist' => 9,
'urlist' => 6,
'banlistmng' => 6,
'gamecheck' => 2,
'pcmng' => 5,
'npcmng' => 5,
'gameinfomng' => 5,
'antiAFKmng' => 4,
)

Definition at line 10 of file admin.php.

if (!$cuser||!$cpass) $result = $db->query("SELECT * FROM {$tablepre}users WHERE username='$cuser'")

Definition at line 25 of file admin.php.

$showdata = $cmd_info = false

Definition at line 34 of file admin.php.

if (!$db->num_rows($result)) $udata = $db->fetch_array($result)

Definition at line 27 of file admin.php.

const CURSCRIPT 'admin'

Definition at line 3 of file admin.php.

if ($udata['password']!=$cpass) elseif (($udata['groupid']<=1)&&($cuser!==$gamefounder)) if ($cuser===$gamefounder) else {$mygroup = $udata['groupid']

Definition at line 32 of file admin.php.

const IN_ADMIN TRUE

Definition at line 6 of file admin.php.